# Getting Started
## Quickstart
```
$ pip install pip --upgrade
$ pip install csirtg-smrt
$ csirtg-smrt -h
```

## Development
```
$ git clone https://github.com/csirtgadgets/csirtg-smrt-py.git
$ cd csirtg-smrt-py
$ mkvirtualenv smrt
$ pip install pip --upgrade
$ pip install -r dev_requirements.txt
$ python setup.py develop
$ csirtg-smrt -h
$ csirtg-smrt -r examples/csirtgio.yml
```

## Getting Help
 * [the Wiki](https://github.com/csirtgadgets/csirtg-smrt-py/wiki)
 * [Known Issues](https://github.com/csirtgadgets/csirtg-smrt-py/issues?labels=bug&state=open) 
 * [FAQ](https://github.com/csirtgadgets/csirtg-smrt-py/issues?labels=faq)

# Getting Involved
There are many ways to get involved with the project. If you have a new and exciting feature, or even a simple bugfix, simply [fork the repo](https://help.github.com/articles/fork-a-repo), create some simple test cases, [generate a pull-request](https://help.github.com/articles/using-pull-requests) and give yourself credit!

If you've never worked on a GitHub project, [this is a good piece](https://guides.github.com/activities/contributing-to-open-source) for getting started.

* [How To Contribute](contributing.md)  
* [Mailing List](https://groups.google.com/forum/#!forum/ci-framework)  

# Development
## Some of the tools we use:

* [PyCharm](https://www.jetbrains.com/pycharm/)
* [VirtualenvWrapper](https://virtualenvwrapper.readthedocs.org/en/latest/)
* [Ansible](http://ansible.com)
* [Vagrant](https://www.vagrantup.com/)

## Some useful books:

* [Ansible Up & Running](http://www.amazon.com/Ansible-Up-Running-Lorin-Hochstein/dp/1491915323/ref=sr_1_1?ie=UTF8&qid=1450109562&sr=8-1&keywords=ansible+up+and+running)
* [Vagrant Up & Running](http://www.amazon.com/Vagrant-Up-Running-Mitchell-Hashimoto/dp/1449335837/ref=sr_1_3?ie=UTF8&qid=1450109562&sr=8-3&keywords=ansible+up+and+running)


# COPYRIGHT AND LICENCE

Copyright (C) 2016 [the CSIRT Gadgets Foundation](http://csirtgadgets.org)

Free use of this software is granted under the terms of the GNU Lesser General Public License (LGPLv3). For details see the files `COPYING` included with the distribution.
